Prevents the rewind operation on the inner iterator

- « NoRewindIterator::next

- NoRewindIterator::valid »

- PHP Manual
- NoRewindIterator
- Prevents the rewind operation on the inner iterator

# NoRewindIterator::rewind

(PHP 5 >= 5.1.0, PHP 7, PHP 8)

NoRewindIterator::rewind — Prevents the rewind operation on the inner iterator

### Description

public NoRewindIterator::rewind(): void

Prevents the rewind operation on the inner iterator.

### Parameters

This function has no parameters.

### Return Values

No value is returned.

### Examples

Example #1 NoRewindIterator::rewind() example

This example demonstrates that calling rewind on a NoRewindIterator object has no effect.

    <?php$fruits = array("lemon", "orange", "apple", "pear");$noRewindIterator = new NoRewindIterator(new ArrayIterator($fruits));echo $noRewindIterator->current() . "\n";$noRewindIterator->next();// now rewind the iterator (nothing should happen)$noRewindIterator->rewind();echo $noRewindIterator->current() . "\n";?>

The above example will output:

    lemon
    orange